package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$27 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var5 = ECConstants.ZERO;
      BigInteger var1 = BigInteger.valueOf(1L);
      BigInteger var2 = SECNamedCurves.access$0("2000000000000000000000000000005A79FEC67CB6E91F1C1DA800E478A5");
      BigInteger var3 = BigInteger.valueOf(4L);
      ECCurve.F2m var4;
      ECCurve.F2m var10000 = var4 = new ECCurve.F2m;
      var10000.<init>(239, 158, var5, var1, var2, var3);
      ECPoint var6 = var10000.decodePoint(Hex.decode("0429A0B6A887A983E9730988A68727A8B2D126C44CC2CC7B2A6555193035DC76310804F12E549BDB011C103089E73510ACB275FC312A5DC6B76553F0CA"));
      return new X9ECParameters(var4, var6, var2, var3, (byte[])null);
   }
}
